SystemOrganization addCategory: #Deprecated14!

!ThemeSettings methodsFor: '*Deprecated14' stamp: 'AlainPlantec 11/6/2011 13:17'!
menuWithIcons
	^ true! !

!ThemeSettings methodsFor: '*Deprecated14' stamp: 'AlainPlantec 11/6/2011 13:17'!
menuWithIcons: aBoolean
	"menuWithIcons := aBoolean"! !

!UserInputEvent methodsFor: '*deprecated14' stamp: 'StephaneDucasse 7/22/2011 16:31'!
leftShiftDown
	"Answer true if the shift key on the keyboard was being held down when this event occurred."
	
	self deprecated: 'Use shiftPressed' on:  '22 July 2011' in: #Pharo1.4.
	^ self shiftPressed
! !

!Gofer methodsFor: '*Deprecated14' stamp: 'SeanDeNigris 8/31/2011 14:20'!
addPackage: aString
	self deprecated: 'Instead of #addPackage: simply use #package:' on: '14 December 2009' in: 'Pharo1.2'.
	self package: aString! !

!Gofer methodsFor: '*Deprecated14' stamp: 'SeanDeNigris 8/31/2011 14:20'!
addPackage: aString constraint: aBlock
	self
		deprecated: 'Instead of #addPackage:constraint: simply use #package:constraint:'
		on: '14 December 2009'
		in: 'Pharo1.2'.
	self package: aString constraint: aBlock! !

!Gofer methodsFor: '*Deprecated14' stamp: 'SeanDeNigris 8/31/2011 14:20'!
addVersion: aString
	self deprecated: 'Instead of #addVersion: simply use #version:' on: '14 December 2009' in: 'Pharo1.2'.
	self version: aString! !

MessageSet subclass: #MessageNames
	instanceVariableNames: 'searchString selectorList selectorListIndex'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Deprecated14'!

!MessageNames commentStamp: 'BernardoContreras 8/14/2011 00:52' prior: 0!
DEPRECATED. see http://code.google.com/p/pharo/issues/detail?id=4576.!

!MessageNames class methodsFor: '*Deprecated14' stamp: 'BernardoContreras 8/14/2011 00:47'!
methodBrowserSearchingFor: searchString
	"Answer an method-browser window whose search-string is initially as indicated"

	| aWindow |
	self deprecated: 'issue 4576' on: '14 August, 2011' in: 'Pharo1.4'.
	aWindow := self new inMorphicWindowWithInitialSearchString: searchString.
	aWindow applyModelExtent.
	^ aWindow! !

!MessageNames class methodsFor: '*Deprecated14' stamp: 'BernardoContreras 8/14/2011 00:48'!
openMessageNames
	"Open a new instance of the receiver in the active world"

	self deprecated: 'issue 4576' on: '14 August, 2011' in: 'Pharo1.4'.	
	self new openAsMorphNamed: 'Message Names' inWorld: self currentWorld

	"MessageNames openMessageNames"
! !

!MessageNames class methodsFor: 'window color' stamp: 'AlainPlantec 12/16/2009 22:09'!
patchworkUIThemeColor
	"Answer a default color for UI themes that make use of different colors for Browser, MessageList etc..."

	^ Color fromRgbTriplet: #(0.645 1.0 0.452) ! !

!MessageNames class methodsFor: 'tools registry' stamp: 'IgorStasenko 2/19/2011 03:02'!
registerToolsOn: registry

	"Add ourselves to registry. See [Smalltalk tools]" 

	registry register: self as: #messageNames
! !

!MessageNames methodsFor: 'search' stamp: 'LucFabresse 10/1/2010 16:08'!
computeSelectorListFromSearchString
	"Compute selector list from search string"
	
	self searchString: (searchString asString copyWithout: Character arrowUp).
	selectorList := Cursor wait showWhile: [
					(SystemNavigation default allImplementedMessages select: [:each | each  includesSubstring: searchString caseSensitive: false]) asArray sort: [:x :y | x asLowercase <= y asLowercase]].
	^ selectorList! !

!MessageNames methodsFor: 'message list menu' stamp: 'sd 11/20/2005 21:27'!
copyName
	"Copy the current selector to the clipboard"

	| selector |
	(selector := self selectorList at: selectorListIndex ifAbsent: [nil]) ifNotNil:
		[Clipboard clipboardText: selector asString asText]! !

!MessageNames methodsFor: 'search' stamp: 'GaryChambers 7/5/2010 13:28'!
doSearchFrom: aTextMorph
	"The user hit the Search button -- treat it as a synonym for the user having hit the Return or Enter (or cmd-s) in the type-in pane"

	aTextMorph
		accept;
		changed! !

!MessageNames methodsFor: 'initialization' stamp: 'sw 7/28/2001 02:16'!
inMorphicWindowLabeled: labelString
	"Answer a morphic window with the given label that can display the receiver"
"MessageNames openMessageNames"

	^ self inMorphicWindowWithInitialSearchString: nil! !

!MessageNames methodsFor: 'initialization' stamp: 'JuanVuletich 10/22/2010 09:13'!
inMorphicWindowWithInitialSearchString: initialString
	"Answer a morphic window with the given initial search string, nil if none"

"MessageNames openMessageNames"

	^UIManager default messageNames: self inMorphicWindowWithInitialSearchString: initialString! !

!MessageNames methodsFor: 'selector list' stamp: 'StephaneDucasse 5/28/2011 13:34'!
messageList
	"Answer the receiver's message list, computing it if necessary. The way 
	to force a recomputation is to set the messageList to nil"
	messageList
		ifNil: [messageList := selectorListIndex = 0
						ifTrue: [#()]
						ifFalse: [self systemNavigation
								allImplementorsOf: (selectorList at: selectorListIndex)].
			self
				messageListIndex: (messageList size > 0
						ifTrue: [1]
						ifFalse: [0])].
	^ messageList! !

!MessageNames methodsFor: 'search' stamp: 'GaryChambers 7/5/2010 12:57'!
searchString
	"Answer the current searchString, initializing it if need be"

	^ searchString ifNil: [searchString := '']! !

!MessageNames methodsFor: 'accessing' stamp: 'LucFabresse 10/1/2010 15:56'!
searchString: aStringToSearch
	searchString := aStringToSearch! !

!MessageNames methodsFor: 'search' stamp: 'JuanVuletich 10/22/2010 10:12'!
searchString: aString from: aTextMorph
	"Take what the user typed and find all selectors containing it"

	aTextMorph selectAll.
	searchString := aString asString copyWithout: $ .
	self containingWindow ifNotNil: [ :w | w setLabel: ('Message names containing "{1}"' translated format: {searchString asLowercase}) ].
	selectorList := nil.
	self changed: #selectorList.
	self changed: #messageList.
	^true! !

!MessageNames methodsFor: 'selection' stamp: 'MarcusDenker 8/15/2010 10:57'!
selectedMessageName
	^selectorListIndex = 0 ifFalse: [selectorList at: selectorListIndex]! !

!MessageNames methodsFor: 'selection' stamp: 'sw 7/24/2001 01:46'!
selection
	"Answer the item in the list that is currently selected, or nil if no selection is present"

	^ self messageList at: messageListIndex ifAbsent: [nil]! !

!MessageNames methodsFor: 'selector list' stamp: 'sd 11/20/2005 21:27'!
selectorList
	"Answer the selectorList"

	selectorList ifNil:
		[self computeSelectorListFromSearchString.
		selectorListIndex :=  selectorList size > 0
			ifTrue:	[1]
			ifFalse: [0].
		messageList := nil].
	^ selectorList! !

!MessageNames methodsFor: 'selector list' stamp: 'sw 7/24/2001 01:55'!
selectorListIndex
	"Answer the selectorListIndex"

	^ selectorListIndex! !

!MessageNames methodsFor: 'selector list' stamp: 'AlainPlantec 11/13/2009 22:59'!
selectorListIndex: anInteger 
	"Set the selectorListIndex as specified, and propagate consequences"

	selectorListIndex := anInteger.
	selectorListIndex = 0
		ifTrue: [^ self].
	messageList := nil.
	self changed: #selectorListIndex.
	self changed: #messageList.
	self changed: #annotation.! !

!MessageNames methodsFor: 'initialization' stamp: 'sw 7/24/2001 01:35'!
selectorListKey: aChar from: view
	"Respond to a Command key in the message-list pane."

	aChar == $n ifTrue: [^ self browseSenders].
	aChar == $c ifTrue: [^ self copyName].
	aChar == $b ifTrue: [^ self browseMethodFull].
! !

!MessageNames methodsFor: 'initialization' stamp: 'tbn 7/29/2010 21:56'!
selectorListMenu: aMenu
	"Answer the menu associated with the selectorList"

	aMenu addList: {
		{'Senders (n)' translated. #browseSenders. 'Browse senders of the chosen selector' translated}.
		{'Copy selector to clipboard' translated. #copyName. 'Copy the chosen selector to the clipboard, for subsequent pasting elsewhere' translated}.
		#-.
		{'Show only implemented selectors' translated. #showOnlyImplementedSelectors. 'Remove from the selector-list all symbols that do not represent implemented methods' translated}}.

	^ aMenu! !

!MessageNames methodsFor: 'selector list' stamp: 'sw 7/24/2001 01:47'!
selectorListMenuTitle
	"Answer the title to supply for the menu belonging to the selector-list pane"

	^ 'Click on any item in the list
to see all implementors of it'! !

!MessageNames methodsFor: 'search' stamp: 'sd 11/20/2005 21:27'!
showOnlyImplementedSelectors
	"Caution -- can be slow!! Filter my selector list down such that it only  
	shows selectors that are actually implemented somewhere in the system."
	self okToChange
		ifTrue: [Cursor wait
				showWhile: [selectorList := self systemNavigation allSelectorsWithAnyImplementorsIn: selectorList.
					self changed: #selectorList.
					self changed: #messageList]]! !

!MorphicUIManager methodsFor: '*Deprecated14' stamp: 'StephaneDucasse 9/7/2011 21:26'!
multiLineRequest: queryString centerAt: aPoint initialAnswer: defaultAnswer answerHeight: answerHeight
	"Create a multi-line instance of me whose question is queryString with
	the given initial answer. Invoke it centered at the given point, and
	answer the string the user accepts.  Answer nil if the user cancels.  An
	empty string returned means that the ussr cleared the editing area and
	then hit 'accept'.  Because multiple lines are invited, we ask that the user
	use the ENTER key, or (in morphic anyway) hit the 'accept' button, to 
	submit; that way, the return key can be typed to move to the next line."
	self deprecated: 'Use multiLineRequest: queryString centerAt: aPoint initialAnswer: defaultAnswer answerHeight: ' on: '7 September 2011' in: 'Pharo1.4'.
	(ProvideAnswerNotification signal: queryString) ifNotNil: [:answer |
		^answer == #default ifTrue: [defaultAnswer] ifFalse: [answer]].
	^( self theme 
		textEditorIn: self modalMorph
		text: queryString
		title: 'Information Required' translated
		entryText: defaultAnswer
		entryHeight: answerHeight)
			ifNotNil: [:text | text asString]! !

!MorphicUIManager methodsFor: '*Deprecated14' stamp: 'IgorStasenko 4/15/2011 17:28'!
openComparisionFrom: targetMethodSource
					to: originalMethodSource
					belongingTo: aClass
					from: aChange 
					labeled: aLabel 
					inWindowLabeled: aWindowLabel 
	| diffMorph diffBuilder difference win |
	PolymorphSystemSettings usePolymorphDiffMorph 
		ifTrue:[ ^ self openPolymorphComparisonFrom: originalMethodSource 
					to: targetMethodSource
					belongingTo: aClass
					from: aChange
					labeled: aLabel
					inWindowLabeled: aWindowLabel   ].
	diffBuilder :=  TextDiffBuilder
			from: originalMethodSource 
			to: targetMethodSource.
	difference := diffBuilder buildDisplayPatch.
	win := Smalltalk tools workspace openContents: difference.
	win label: aLabel.
					
				! !

!FSFilesystem methodsFor: '*Deprecated14' stamp: 'StephaneDucasse 7/3/2011 16:07'!
working
	self deprecated: 'Use workingDirectory' on:  '4 Juillet 2011' in: 'Pharo1.4'.
	^ self referenceTo: self workingDirectory! !

!StrikeFont class methodsFor: '*deprecated14' stamp: 'AlainPlantec 12/18/2009 07:23'!
accunyKey 
	^ #Accuny! !

!StrikeFont class methodsFor: '*deprecated14' stamp: 'HenrikSperreJohansen 1/11/2010 23:23'!
createDejaVu: pointSize
	"Warning: Uses the methods in 'dejaVu font data' category, that will be removed soon (or are already removed) to save space."
	
	| base bold oblique boldOblique point |
	point := pointSize asString.
	base := (StrikeFont new
		buildFromForm: (self perform: ('dejaVuSansBook', point, 'Form') asSymbol)
		data: (self perform: ('dejaVuSansBook', point, 'Data') asSymbol)
		name: 'Bitmap DejaVu Sans ', point)
			pointSize: pointSize.
	bold := (StrikeFont new
		buildFromForm:  (self perform: ('dejaVuSansBold', point, 'Form') asSymbol)
		data: (self perform: ('dejaVuSansBold', point, 'Data') asSymbol)
		name: 'Bitmap DejaVu Sans ', point, 'B')
			emphasis: 1;
			pointSize: pointSize.
	oblique := (StrikeFont new
		buildFromForm: (self perform: ('dejaVuSansOblique', point, 'Form') asSymbol)
		data: (self perform: ('dejaVuSansOblique', point, 'Data') asSymbol)
		name: 'Bitmap DejaVu Sans ', point, 'I')
			emphasis: 2;
			pointSize: pointSize.
	boldOblique := (StrikeFont new
		buildFromForm: (self perform: ('dejaVuSansBoldOblique', point, 'Form') asSymbol)
		data: (self perform: ('dejaVuSansBoldOblique', point, 'Data') asSymbol)
		name: 'Bitmap DejaVu Sans ', point, 'BI')
			emphasis: 3;
			pointSize: pointSize.
		
	base derivativeFont: bold at: 1.
	base derivativeFont: oblique at: 2.
	base derivativeFont: boldOblique at: 3.
	bold derivativeFont: boldOblique at: 2.
	oblique derivativeFont: boldOblique at: 1. 
	
	^base! !

!StrikeFont class methodsFor: '*deprecated14' stamp: 'AlainPlantec 9/12/2011 19:01'!
installDejaVu
	"
	StrikeFont installDejaVu
	"
	StandardFonts restoreDefaultFonts.
	StrikeFont useUnderscoreIfOver1bpp! !

RectangleMorph subclass: #BalloonRectangleMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Deprecated14'!

!BalloonRectangleMorph commentStamp: '<historical>' prior: 0!
BalloonRectangleMorph is an example for drawing using the BalloonEngine.!

!BalloonRectangleMorph methodsFor: 'testing' stamp: 'ar 8/25/2001 19:08'!
canDrawBorder: aBorderStyle
	^aBorderStyle style == #simple! !

!BalloonRectangleMorph methodsFor: 'initialization' stamp: 'dgd 2/14/2003 22:33'!
defaultBorderColor
	"answer the default border color/fill style for the receiver"
	^ GradientFillStyle ramp: {0.0 -> Color black. 1.0 -> Color white}! !

!BalloonRectangleMorph methodsFor: 'initialization' stamp: 'dgd 2/14/2003 22:36'!
defaultBorderWidth
	"answer the default border width for the receiver"
	^ 10! !

!BalloonRectangleMorph methodsFor: 'initialization' stamp: 'dgd 2/14/2003 22:24'!
defaultColor
	"answer the default color/fill style for the receiver"
	| result |
	result := GradientFillStyle ramp: {0.0 -> Color green. 0.5 -> Color yellow. 1.0 -> Color red}.
	result radial: true.
	^ result! !

!BalloonRectangleMorph methodsFor: 'accessing' stamp: 'ar 11/15/1998 22:24'!
doesBevels
	"To return true means that this object can show bevelled borders, and
	therefore can accept, eg, #raised or #inset as valid borderColors.
	Must be overridden by subclasses that do not support bevelled borders."

	^ false! !

!BalloonRectangleMorph methodsFor: 'drawing' stamp: 'ar 11/15/1998 22:40'!
drawOn: aCanvas
	(color isKindOf: OrientedFillStyle) ifTrue:[
		color origin: bounds center.
		color direction: (bounds extent x * 0.7) @ 0.
		color normal: 0@(bounds extent y * 0.7).
	].
	(borderColor isKindOf: OrientedFillStyle) ifTrue:[
		borderColor origin: bounds topLeft.
		borderColor direction: (bounds extent x) @ 0.
		borderColor normal: 0@(bounds extent y).
	].
	aCanvas asBalloonCanvas
		drawRectangle: (bounds insetBy: borderWidth // 2)
		color: color
		borderWidth: borderWidth
		borderColor: borderColor.! !

!BalloonRectangleMorph methodsFor: 'initialization' stamp: 'MarcusDenker 12/11/2009 23:55'!
initialize
	"initialize the state of the receiver"
	super initialize.
	self extent: 100@100! !

!BalloonRectangleMorph methodsFor: 'rotate scale and flex' stamp: 'ar 11/15/1998 22:20'!
newTransformationMorph
	^MatrixTransformMorph new! !

PolygonMorph subclass: #MixedCurveMorph
	instanceVariableNames: 'slopeClamps'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Deprecated14'!

!MixedCurveMorph commentStamp: '<historical>' prior: 0!
A MixedCurveMorph is Curve that can be broken up into separately curved segments. It allows for the creation of matching edges( e. g. for jigsaw puzzle pieces).

Instance Variables
	slopeClamps:		<Array>

slopeClamps
	- elements of array are either 0 or nil. Indicating whether slope for the corresponding vertex is 0@0 or unknown and therefore to be calculated. There is one element for each vertex.
	
	
!

!MixedCurveMorph methodsFor: 'access' stamp: 'StephaneDucasse 6/5/2011 16:12'!
clamps
	"Return a collection of clamps the same size as vertices.
	If necessary default to unclamped slopes."

	slopeClamps 
		ifNil:   [ ^ slopeClamps := Array new: vertices size  ] .
	slopeClamps size = vertices size
		ifFalse: [ ^ slopeClamps := Array new: vertices size  ] . 
	^ slopeClamps           ! !

!MixedCurveMorph methodsFor: 'editing' stamp: 'StephaneDucasse 6/5/2011 16:12'!
clickVertex: ix event: evt fromHandle: handle
	"Toggle the state of the clamp."
	"Note: self clamps assures slopeClamps will be same size as vertices"

	(self clamps at: ix) 
		ifNil: [ slopeClamps  at: ix put: 0 ]
		ifNotNil: [ slopeClamps  at: ix put: nil ].
	self setVertices: vertices.
	
! !

!MixedCurveMorph methodsFor: 'editing' stamp: 'StephaneDucasse 6/5/2011 16:13'!
deleteVertexAt: anIndex
	(slopeClamps :=
				slopeClamps
				copyReplaceFrom: anIndex
				to: anIndex
				with: Array new) .
	self setVertices: (vertices
				copyReplaceFrom: anIndex
				to: anIndex
				with: Array new).
				! !

!MixedCurveMorph methodsFor: 'access' stamp: 'StephaneDucasse 6/5/2011 16:12'!
handleColorAt: vertIndex
      "Clamped handles are cyan and unclamped handles are yellow."

	(self clamps at: vertIndex ) ifNil: [ ^ Color yellow ].
	^ Color cyan 
! !

!MixedCurveMorph methodsFor: 'initialization' stamp: 'StephaneDucasse 6/5/2011 16:13'!
initialize
	"initialize the state of the receiver"
	
	super initialize.
	self extent: 32@20 .

	self rectOval.
	self clamps . "This initializes slopeClamps."
	slopeClamps at: 1 put: 0 .
	slopeClamps at: 4 put: 0 .
	
	closed := true.
	smoothCurve := true.
	arrows := #none.
	self computeBounds! !

!MixedCurveMorph methodsFor: 'editing' stamp: 'StephaneDucasse 6/5/2011 16:13'!
insertVertexAt: anIndex put: aValue
	"New vertexs are unclamped."
	"Note: order is important. 
	The clamps array must match vertex size before setVertices: is performed."
	slopeClamps := slopeClamps  copyReplaceFrom: anIndex + 1 to: anIndex with: (Array with: nil).
	self setVertices: (vertices copyReplaceFrom: anIndex + 1 to: anIndex 
									with: (Array with: aValue)).! !

!MixedCurveMorph methodsFor: 'smoothing' stamp: 'StephaneDucasse 6/5/2011 16:13'!
slopes: knots 
	"Choose slopes according to state of polygon and preferences"
	
	self isCurvy
		ifFalse: [^ knots segmentedSlopes].
	^ (closed and: [ self isCurvier ])
		ifTrue: [ knots closedCubicSlopes: self clamps ]
		ifFalse: [ knots naturalCubicSlopes: self clamps ]! !

!UIManager methodsFor: '*Deprecated14' stamp: 'StephaneDucasse 9/7/2011 21:26'!
multiLineRequest: queryString centerAt: aPoint initialAnswer: defaultAnswer answerHeight: answerHeight
	"Create a multi-line instance of me whose question is queryString with
	the given initial answer. Invoke it centered at the given point, and
	answer the string the user accepts.  Answer nil if the user cancels.  An
	empty string returned means that the ussr cleared the editing area and
	then hit 'accept'.  Because multiple lines are invited, we ask that the user
	use the ENTER key, or (in morphic anyway) hit the 'accept' button, to 
	submit; that way, the return key can be typed to move to the next line."
	
	self deprecated: 'Use multiLineRequest: queryString centerAt: aPoint initialAnswer: defaultAnswer answerHeight: ' on: '7 September 2011' in: 'Pharo1.4'.
	^self subclassResponsibility! !

!ToolRegistry methodsFor: '*deprecated14' stamp: 'StephaneDucasse 9/17/2011 11:46'!
browseMessageSet: messageList name: title autoSelect: autoSelectString
	"Open a message set browser"
	self deprecated: 'Use browserMessageList' on:  '17 September 2011' in:  'Pharo1.4'.
	
	^ self using: #messageList do: [:tool |
		tool 
			openMessageList: messageList 
			name: title 
			autoSelect: autoSelectString ]	! !

!ToolRegistry methodsFor: '*deprecated14' stamp: 'StephaneDucasse 9/17/2011 11:35'!
messageSet
	self deprecated: 'Message Set does not exist anymore use MessageList' on:  '17 September 2011' in: 'Pharo1.4'.
	^MessageList! !

!PasteUpMorph methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/31/2011 14:20'!
findATranscript: evt
	self deprecated: 'Pharo1.3. Use Smalltalk tools openTranscript' on: '27 May 2011' in: 'Pharo1.3'.
	Smalltalk tools openTranscript! !

!UITheme methodsFor: '*Deprecated14' stamp: 'AlainPlantec 10/20/2010 00:33'!
decorateMenu: aMenu 
	"decorate aMenu with icons"

	| maxWidth |
	self settings menuWithIcons ifFalse: [^ self].
	maxWidth := 10.

	aMenu items do: [:item | 
		item icon isNil ifTrue: [
			| icon | 
			icon := self iconForMenuItem: item.
			icon isNil ifFalse: [
				item icon:  icon.
				maxWidth := maxWidth max: item icon width.
			]
		]
		ifFalse: [
			item icon:  item icon.
			maxWidth := maxWidth max: item icon width
		].

		item hasSubMenu ifTrue: [
			self decorateMenu: item subMenu.
		].
	].

	maxWidth isZero ifFalse: [
		aMenu addBlankIconsIfNecessary: (self blankIconOfWidth: maxWidth).
	].
! !

!UITheme methodsFor: '*Deprecated14' stamp: 'AlainPlantec 10/19/2010 21:46'!
iconForMenuItem: anItem
	"Answer the icon (or nil) corresponding to the (translated) string."
	| itemKey |
	itemKey := anItem contents asString asLowercase.
	^ (self menuIcons detect: [:cpl | cpl key includes: itemKey] ifNone: [])
		ifNotNil: [:assoc | assoc value].
! !

!UITheme methodsFor: '*Deprecated14' stamp: 'SeanDeNigris 11/30/2011 14:30'!
menuIcons
	"answer a collection of associations wordings -> icon
	to decorate the menus all over the image"
	
	^ { 
	#('select' ) -> self smallSelectIcon.
	#('Tools...' ) -> self smallOpenIcon.
	#('System...' ) -> self smallConfigurationIcon.
	#('open...' ) -> self smallOpenIcon.
	#('windows...' ) -> self smallWindowIcon.
	#('debug...' ) -> self smallDebugIcon.
	#('export...' ) -> self smallExportIcon.
	#('save' ) -> self smallSaveIcon.
	#('save project on file...' ) -> self smallPublishIcon.
	#('save as...' 'save as new version' ) -> self smallSaveAsIcon.
	#('quit' 'save and quit' ) -> self smallQuitIcon.
	#('load project from file...' ) -> self smallLoadProjectIcon.
	""
	#('do it (d)' ) -> self smallDoItIcon.
	#('inspect it (i)' 'explore it (I)' 'inspect world' 'explore world' 'inspect model' 'inspect morph' 'explore morph' 'inspect owner chain' 'explore' 'inspect' 'explore (I)' 'inspect (i)' 'basic inspect' ) -> self smallInspectItIcon.
	#('print it (p)' ) -> self smallPrintIcon.
	#('debug it (D)' ) -> self smallDebugIcon.
	#('profile it' ) -> self blankIcon.
	""
	#('copy (c)' 'copy to paste buffer' 'copy text' ) -> self smallCopyIcon.
	#('paste (v)' 'paste...' ) -> self smallPasteIcon.
	#('cut (x)' ) -> self smallCutIcon.
	""
	#('accept (s)' 'yes' 'Yes' ) -> self smallOkIcon.
	#('cancel (l)' 'no' 'No' ) -> self smallCancelIcon.
	""
	#('do again (j)' ) -> self smallRedoIcon.
	#('undo (z)' ) -> self smallUndoIcon.
	""
	#('find...(f)' 'find again (g)' 'find class... (f)' 'find method...' 'extended search...') -> self smallFindIcon.
	""
	#('remove' 'remove class (x)' 'delete method from changeset (d)' 'remove method from system (x)' 'delete class from change set (d)' 'remove class from system (x)' 'destroy change set (X)' ) -> self smallDeleteIcon.
	#('add item...' 'new category...' 'new change set... (n)' ) -> self smallNewIcon.
	""
	#('new morph...' 'objects (o)' ) -> self smallObjectCatalogIcon.
	#('authoring tools...')  -> self smallAuthoringToolsIcon.
	""
	#('leftFlush' ) -> self smallLeftFlushIcon.
	#('rightFlush' ) -> self smallRightFlushIcon.
	#('centered' 'set alignment... (u)' ) -> self smallCenteredIcon.
	#('justified' ) -> self smallJustifiedIcon.
	""
	#('set font... (k)' 'list font...' 'set subtitles font' 'change font' 'system fonts...' 'change font...' ) -> self smallFontsIcon.
	#(StandardFonts  systemFontLabels)-> self smallFontsIcon.
	#('fullscreen on' 'fullscreen off' ) -> self smallFullscreenIcon.
	}
! !

!NonInteractiveUIManager methodsFor: '*Deprecated14' stamp: 'StephaneDucasse 9/7/2011 21:27'!
multiLineRequest: queryString centerAt: aPoint initialAnswer: defaultAnswer answerHeight: answerHeight
	self deprecated: 'Use multiLineRequest: queryString centerAt: aPoint initialAnswer: defaultAnswer answerHeight: ' on: '7 September 2011' in: 'Pharo1.4'.
	^ self nonInteractive! !

!FSReference methodsFor: '*Deprecated14' stamp: 'SeanDeNigris 8/31/2011 14:20'!
childDirectories
	"Return all the directories (as opposed to files) contained in the receiver"

	self deprecated: 'Use directories' on: '29 March 2011' in: 'Pharo1.4'.
	^ self directories! !

!FSReference methodsFor: '*Deprecated14' stamp: 'SeanDeNigris 8/31/2011 14:20'!
childFiles
	"Return the direct children (files and folders) of the receiver."

	self deprecated: 'Use files instead' on: '11 February 2011' in: 'Pharo1.4'.
	^ self files! !

ImageMorph subclass: #LogoImageMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Deprecated14'!

LogoImageMorph class
	instanceVariableNames: 'default'!

!LogoImageMorph commentStamp: 'AlainPlantec 9/11/2011 08:04' prior: 0!
Deprecated in 1.4 since we have a setting for the logo
!

LogoImageMorph class
	instanceVariableNames: 'default'!

!LogoImageMorph class methodsFor: 'defaultinstance' stamp: 'AlainPlantec 9/11/2011 08:33'!
default
	^default! !

!LogoImageMorph class methodsFor: 'defaultinstance' stamp: 'AlainPlantec 4/13/2010 13:34'!
default: newImageMorph
	default ifNotNil: [default delete].
	default := newImageMorph.
	default  ifNotNil: [
		default 
			openInWorld;
			beSticky;
			lock;
			goBehind]! !

!LogoImageMorph class methodsFor: 'defaultinstance' stamp: 'AlainPlantec 4/13/2010 13:01'!
defaultLogoForm
	^ Form fromBinaryStream: self defaultLogoContents base64Decoded asByteArray readStream! !

!LogoImageMorph class methodsFor: 'defaultinstance' stamp: 'AlainPlantec 9/11/2011 08:33'!
initialize
	default 
		ifNotNil: [self installDesktopLogo]! !

!LogoImageMorph class methodsFor: 'defaultinstance' stamp: 'AlainPlantec 9/11/2011 08:32'!
installDesktopLogo
	"Install the new logo with the settings"
	"self installDesktopLogo"
	default 
		ifNotNil: [default delete. 
		default := nil.
		PolymorphSystemSettings showDesktopLogo: true]
! !

!DummyUIManager methodsFor: '*Deprecated14' stamp: 'StephaneDucasse 9/7/2011 21:26'!
multiLineRequest: queryString centerAt: aPoint initialAnswer: defaultAnswer answerHeight: answerHeight

	self deprecated: 'Use multiLineRequest: queryString centerAt: aPoint initialAnswer: defaultAnswer answerHeight: ' on: '7 September 2011' in: 'Pharo1.4'.! !

!ScriptLoader methodsFor: '*deprecated14' stamp: 'AlainPlantec 9/13/2011 21:11'!
removeDejaVuFonts
	"Note, you need to close all windows to make the Deja Vu fonts being GCed"
	"Now that DejaVu is the only font: don't remove it!!"

	true ifTrue: [^self].

	StandardFonts setDefaultFonts: #(
		(defaultFont: 'Accuny' 10)
		(codeFont: 'Accuny' 10)
		(listFont: 'Accuny' 10)
		(menuFont: 'Accuny' 10)
		(windowTitleFont: 'Accuny' 10)
		(balloonFont: 'Accuny' 10)
		(buttonFont: 'Accuny' 10)).
	TextSharedInformation removeKey: 'Bitmap DejaVu Sans'! !

Paragraph subclass: #NewParagraph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Deprecated14'!

!NewParagraph commentStamp: '<historical>' prior: 0!
A Paragraph represents text that has been laid out, or composed, in some container.
	text 		A Text with encoded per-character emphasis.
	textStyle	A TextStyle with font set, line height and horizontal alignment.
	firstCharacterIndex    The starting index in text for this paragraph, allowing
				composition of a long text into a number of containers.
	container	A Rectangle or TextContainer that determines where text can go.
	lines		An Array of TextLines comprising the final layout of the text
				after it has been composed within its container.
	positionWhenComposed   As its name implies.  Allows display at new locations
				without the need to recompose the text.
Lines are ordered vertically.  However, for a given y, there may be several lines in left to right order.  Lines must never be empty, even if text is empty.

Notes on yet another hack - 5 Feb 2001

We really need to clean up #composeLinesFrom:to:delta:into:priorLines:atY:!!!!!!

I added one more habdful of code to correct:

This is an annoying bug that's been around for a couple of years, but I finally figured out how to duplicate the problem, so I figured I'd just report it now.  (It doesn't necessarily have to be fixed for 3.0 if it looks messy, but if it's a simple fix, it would be worth it.)

In Morphic, if you have the following text in a workspace:

This is line 1
This is line 2

**and** you have a return character after line 2, you will normally be able to click the mouse two times below line 2 in order to select all the text.  If you edit line 2 (e.g. so that it reads "line number 2"), you can still select all the text by clicking below the second line.  However, if you edit line 1, you will not be able to select all the text from the bottom in the same way.  Things get messed up such that the last return character seems to be gone.  In this state, if you position the cursor immediately after the 2, and press the right arrow, the cursor jumps to the beginning of line 2... oof. (report by Doug Way)

While I don't have a very deep understanding of the above mentioned method, I was able to determine that text ending in a CR worked better in the editor when the last entry in <lines> had a start of text size + 1 and a stop of text size. I have accordingly added code near the end to ensure this. It seems to have fixed the problem, but we do need to clean this baby up some day. - Bob
!

NewParagraph subclass: #MultiNewParagraph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Deprecated14'!

!MultiNewParagraph commentStamp: 'LaurentLaffont 6/8/2011 22:21' prior: 0!
Class intention
   My intention is the same as my super class. This is a good reason to merge me with my super class and to remove me.
   My main supplementary intention is to display the different kinds of text selection (secondary, find-replace and selection bar).

Class collaborations
   SelectionBlock instances are built by myself and stored in the extraSelectionBlocks instance variable in order to display supplementary selections

Class main API
   no particular main API.


Instance Variables
   extraSelectionBlocks: <Collection of SelectionBlock>
   findReplaceSelectionRegex: <RxMatcher>
   presentationLines: <Object>
   presentationText: <Object>
   refreshExtraSelection: <Boolean>
   secondarySelection: <String>

extraSelectionBlocks
   - a collection of SelectionBlock for the drowing of the differents kind of text selection

findReplaceSelectionRegex
   - the find/replace matcher that is set from the editor of by the FindReplaceService

presentationLines
   - created for debugging purpose, should be removed ?

presentationText
   - created for debugging purpose, should be removed ?

refreshExtraSelection
   - a boolean that is set to tru when there is a need to refresh selections

secondarySelection
   - the string of the secondary selection that is set from the editor when a portion of text is selected!

!MultiNewParagraph methodsFor: 'debug' stamp: 'AlainPlantec 9/15/2011 15:27'!
displayOnTest: aCanvas using: displayScanner at: somePosition
	"Send all visible lines to the displayScanner for display"

	| visibleRectangle offset leftInRun line |
	"(presentationText isNil or: [presentationLines isNil]) ifTrue: [
		^ self displayOn: aCanvas using: displayScanner at: somePosition.
	]."
	visibleRectangle := aCanvas clipRect.
	offset := somePosition - positionWhenComposed.
	leftInRun := 0.
	(self lineIndexForPoint: visibleRectangle topLeft)
		to: (self lineIndexForPoint: visibleRectangle bottomRight)
		do: [:i | line := self presentationLines at: i.
			self displaySelectionInLine: line on: aCanvas.
			line first <= line last ifTrue:
				[leftInRun := displayScanner displayLine: line
								offset: offset leftInRun: leftInRun]].
! !

!MultiNewParagraph methodsFor: '*deprecated14' stamp: 'AlainPlantec 9/15/2011 13:52'!
presentationLines
	^ self composer presentationLines! !

!MultiNewParagraph methodsFor: '*deprecated14' stamp: 'AlainPlantec 9/15/2011 13:54'!
presentationText
	^ self composer presentation! !

TextComposer subclass: #MultiTextComposer
	instanceVariableNames: 'presentation presentationLines'
	classVariableNames: ''
	poolDictionaries: 'TextConstants'
	category: 'Deprecated14'!

!MultiTextComposer methodsFor: 'as yet unclassified' stamp: 'AlainPlantec 9/15/2011 17:15'!
composeEachRectangleIn: rectangles

	| myLine lastChar |

	1 to: rectangles size do: [:i | 
		currCharIndex <= theText size ifFalse: [^false].
		myLine := scanner 
			composeFrom: currCharIndex 
			inRectangle: (rectangles at: i)				
			firstLine: isFirstLine 
			leftSide: i=1 
			rightSide: i=rectangles size.
		lines addLast: myLine.
		actualHeight := actualHeight max: myLine lineHeight.  "includes font changes"
		currCharIndex := myLine last + 1.
		lastChar := theText at: myLine last.
		(CharacterSet crlf includes: lastChar) ifTrue: [^#cr].
		wantsColumnBreaks ifTrue: [
			lastChar = TextComposer characterForColumnBreak ifTrue: [^#columnBreak].
		].
	].
	^false! !

!MultiTextComposer methodsFor: '*deprecated14' stamp: 'yo 1/23/2003 12:53'!
getPresentationInfo

	^ Array with: presentationLines with: presentation.
! !

!MultiTextComposer methodsFor: '*deprecated14' stamp: 'AlainPlantec 9/15/2011 13:53'!
presentation
	^ presentation! !

!MultiTextComposer methodsFor: '*deprecated14' stamp: 'AlainPlantec 9/15/2011 13:53'!
presentationLines
	^ presentationLines! !

!InputEventSensor methodsFor: '*Deprecated14' stamp: 'StephaneDucasse 7/22/2011 16:31'!
leftShiftDown
	"Answer whether the shift key on the keyboard is being held down. The name of this message is a throwback to the Alto, which had independent left and right shift keys."

	self deprecated: 'Use shiftPressed' on:  '22 July 2011' in: #Pharo1.4.
	^ self shiftPressed! !

Object subclass: #BuiltinSettingStyle
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Deprecated14'!

!BuiltinSettingStyle commentStamp: 'AlainPlantec 9/14/2011 14:34' prior: 0!
A BuiltinSettingStyle provides a mean to store the state of all system settings according to specific user preferences and/or to some particular using (demonstration style with big fonts, laptop/desktop used at home or at work ...). The only behavior of a style is implemented by its load method. Thus, a style can be loaded programmatically as follow:
------------------
MyStyle new loadStyle
------------------
Where MyStyle is a subclass of BuiltinSettingStyle which can implement a load method as below:
------------------
MyStyle>>load
	"load change a set of settings with some prefered value"
	MorphicSettings haloEnabled value: true.
	...
------------------
So, a style is simply a class with a loadStyle method. In order for a style class to be recognized as such by the setting browser, a class method #styleName must be implemented as follow:
------------------
styleName
	<settingstyle>
	^ 'My cool style'
------------------
This method must be tagged with the pragma	<settingstyle> and returns the name of the style.
!

!BuiltinSettingStyle class methodsFor: 'accessing' stamp: 'AlainPlantec 9/17/2011 18:34'!
allStyleClasses
	^ ((((PragmaCollector
		filter: [:prag | prag keyword = 'settingStyle']) reset collected
		collect: [:p | p methodClass theNonMetaClass])
		reject: [:c | c = BuiltinSettingStyle]) asArray sort: [:a :b | a styleName < b styleName]) asOrderedCollection! !

!BuiltinSettingStyle class methodsFor: 'accessing' stamp: 'AlainPlantec 9/14/2011 14:50'!
styleName
	"The style name used by the SettingBrowser
	must be redefined with the <settingStyle> pragma by subclasses"
	^ self subclassresponsibility ! !

!BuiltinSettingStyle methodsFor: 'loading' stamp: 'AlainPlantec 9/14/2011 14:29'!
load
	"assign a particular value to a set of preferences.
	Subclasses may redefine it for a particular style (i.e. demo style)"
	SettingBrowser refreshAllSettingBrowsers
! !

!BuiltinSettingStyle methodsFor: 'loading' stamp: 'StephaneDucasse 11/20/2011 15:32'!
loadStyle
	[self load]
		on: Error
		do: [:ex | self traceCr: ex printString.
			self traceCr: 'Error while loading Setting style ' , self class styleName.
			^ false].
	self traceCr:  'Setting style ' , self class styleName , ' loaded.'.
	^ true! !

BuiltinSettingStyle subclass: #DefaultSettingStyle
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Deprecated14'!

!DefaultSettingStyle commentStamp: 'AlainPlantec 9/14/2011 14:45' prior: 0!
A DefaultSettingStyle represents the default system style with mainly the default theme and the default fonts and sizes

Instance Variables
!

!DefaultSettingStyle class methodsFor: 'accessing' stamp: 'AlainPlantec 9/14/2011 14:52'!
styleName
	<settingStyle>
	^ 'Default'! !

!DefaultSettingStyle methodsFor: 'loading' stamp: 'SeanDeNigris 11/28/2011 21:53'!
load
	SystemBrowser default: Browser.
	CodeHolder browseWithPrettyPrint: false.
	CodeHolder showAnnotationPane: false.
	ChangeSet mustCheckForSlips: true.
	CodeHolder diffsInChangeList: true.
	CodeHolder diffsWithPrettyPrint: false.
	TextEditor caseSensitiveFinds: false.
	Editor blinkingCursor: true.
	Editor dumbbellCursor: false.
	TextEditor walkAlongDisplayedLine: true.
	CodeHolder smartUpdating: true.
	Parser warningAllowed: false.
	Parser allowBlockArgumentAssignment: false.
	Scanner allowUnderscoreAsAssignment: false.
	Deprecation raiseWarning: true.
	Deprecation showWarning: true.
	UserInterruptHandler cmdDotEnabled: true.
	CPUWatcher cpuWatcherEnabled: false.
	WorldState debugShowDamage: false.
	Debugger logDebuggerStackToFile: true.
	Debugger restartAlsoProceeds: false.
	Debugger alwaysOpenFullDebugger: false.
	ObjectExplorer showIcons: true.
	Debugger logFileName: 'PharoDebug.log'.
	DialogItemsChooserUI alreadySearchedUnselectedItemsListMaxSize: 15.
	DialogItemsChooserUI alreadySearchedSelectedItemsListMaxSize: 15.
	TextDiffBuilder ignoreLineEndings: true.
	Display fullscreen: false.
	FinderUI searchedTextListMaxSize: 15.
	FreeTypeSettings current monitorType: #LCD.
	FreeTypeSettings updateFontsAtImageStartup: false.
	FreeTypeCache current cacheSize: 5000.
	FreeTypeSettings current hintingSymbol: #Light.
	FreeTypeSettings current glyphContrast: 50.0.
	InputEventSensor controlAltKeyDecodePolicy: #FullMatching.
	LongTestCase shouldRun: true.
	MCCodeTool showAnnotationPane: false.
	NetworkSystemSettings useHTTPProxy: false.
	NonInteractiveUIManager snapshotErrorImage: false.
	PSMCPatchMorph usedByDefault: true.
	RealEstateAgent usedStrategy: #staggerFor:initialExtent:world:.
	SystemWindow fullscreenMargin: 25.
	TextEntryDialogWindow minimumWidth: 450.
	HaloMorph haloEnclosesFullBounds: false.
	HaloMorph showBoundsInHalo: false.
	UITheme currentAnimationSettings useAnimation: false.
	UITheme currentAnimationSettings animateClosing: false.
	UITheme currentAnimationSettings delay: 8.
	UITheme currentAnimationSettings numberOfSteps: 20.
	MorphicModel keyboardFocusOnMouseDown: true.
	MorphicModel mouseOverForKeyboardFocus: false.
	PluggableTextMorph showTextEditingState: true.
	StringMorph editableStringMorph: false.
	Morph defaultYellowButtonMenuEnabled: false.
	WorldState easySelectingWorld: false.
	PolymorphSystemSettings usePolymorphDiffMorph: true.
	PolymorphSystemSettings showDesktopLogo: true.
	PolymorphSystemSettings desktopLogoFileName: ''.
	PolymorphSystemSettings desktopColor: (Color r: 0.937 g: 0.937 b: 0.937).
	PolymorphSystemSettings useDesktopGradientFill: false.
	SoundService soundEnabled: false.
	RBProgramNode formatterClass: RBConfigurableFormatter.
	RecentMessageList uniqueInstance maxListSize: 0.
	RecentMessageList uniqueInstance useAsASet: false.
	RefactoryChangeManager undoSize: 20.
	SHPreferences enabled: true.
	WorldState serverMode: false.
	SmalltalkImage checkSourcesFileAvailability: true.
	SmalltalkImage checkChangesFileAvailability: true.
	Locale activated: false.
	TasklistMorph keepOpen: false.
	TaskbarMorph showTaskbar: true.
	TaskbarMorph showWindowPreview: true.
	
	StandardFonts setFontsToSmall.
	UITheme standardThemeClass beCurrent.
	UITheme current resetDefaultSettings.

	super load.
! !

BuiltinSettingStyle subclass: #DemoSettingStyle
	instanceVariableNames: ''
	classVariableNames: 'BaseFontSize'
	poolDictionaries: ''
	category: 'Deprecated14'!

!DemoSettingStyle commentStamp: 'AlainPlantec 12/31/2010 11:34' prior: 0!
A DemoSettingStyle is a predefined style for demonstrations with bigger fonts.
!

!DemoSettingStyle class methodsFor: 'accessing' stamp: 'AlainPlantec 9/14/2011 14:52'!
styleName
	<settingStyle>
	^ 'Demo Style'! !

!DemoSettingStyle methodsFor: 'loading' stamp: 'AlainPlantec 9/14/2011 18:10'!
load
	| k |
	k := StrikeFont defaultFontKey.
	StandardFonts setFontsFromSpec: {
			{#defaultFont:. k. 24 }. 
			{#codeFont:. k. 24 }.
			{#listFont:. k. 24 }. 
			{#menuFont:. k. 24 }. 
			{#windowTitleFont:. k. 14 }. 
			{#balloonFont:. k. 14 }. 
			{#haloFont:. k.  14}.
			{#buttonFont:. k. 24 } }.
			
	PolymorphSystemSettings desktopColor: (Color r: 0.893 g: 0.97 b: 0.993).
	PolymorphSystemSettings useDesktopGradientFill: true.
	PolymorphSystemSettings desktopGradientFillColor: (Color r: 0.026000000000000002 g: 0.362 b: 0.446).
	PolymorphSystemSettings desktopGradientDirection: #Radial.
	PolymorphSystemSettings desktopGradientOrigin: #topLeft.

	super load.

! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 17:35'!
checkHaltCountExpired

	self deprecated: 'Was used internally by Object>>halt:onCount: See its deprecation warning' on: '8/29/2011' in: '1.4'.! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 17:56'!
clearHaltOnce
	"Turn on image-wide Halt once"

	self deprecated: 'Use "Halt disableHaltOnce". This method bloats Object and wrongly suggests haltOnce may be per-object' on: '8/29/2011' in: '1.4'.
	Halt disableHaltOnce.! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 17:36'!
decrementAndCheckHaltCount

	self deprecated: 'Was used internally by Object>>halt:onCount: See its deprecation warning' on: '8/29/2011' in: '1.4'.! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 17:36'!
decrementHaltCount

	self deprecated: 'Was used internally by Object>>halt:onCount: See its deprecation warning' on: '8/29/2011' in: '1.4'.! !

!Object methodsFor: '*deprecated14' stamp: 'StephaneDucasse 10/8/2011 12:48'!
deprecated: anExplanationString

	^ self deprecated: anExplanationString on: '8 October 2011'  in: 'Pharo1.4'! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 17:36'!
doExpiredHaltCount

	self deprecated: 'Was used internally by Object>>halt:onCount: See its deprecation warning' on: '8/29/2011' in: '1.4'.! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 17:35'!
doExpiredHaltCount: aString

	self deprecated: 'Was used internally by Object>>halt:onCount: See its deprecation warning' on: '8/29/2011' in: '1.4'.! !

!Object methodsFor: '*deprecated14' stamp: 'StephaneDucasse 10/20/2011 15:43'!
halt: aString 
	
	self deprecated: 'Use #halt. Since you end up in a debugger, aString provides little information' on: '8/29/2011' in: '1.4'.
	Halt now: aString! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 17:57'!
halt: aString onCount: anInteger 
	"Deprecated: see below
	Halt on the anInteger-th time through, showing message aString"
		
	| currentCount |
	currentCount := Halt isCounting 
		ifTrue: [ Halt callsUntilHaltOnCount ]
		ifFalse: [
				self deprecated: 'Use #haltOnCount:. Since you end up in a debugger, aString provides little information' on: '8/29/2011' in: '1.4'.
				anInteger ].
	Halt callsUntilHaltOnCount: currentCount - 1.
	Halt callsUntilHaltOnCount = 0 ifTrue: [ Halt now ].! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 17:36'!
haltCount

	self deprecated: 'Was used internally by Object>>halt:onCount: See its deprecation warning' on: '8/29/2011' in: '1.4'.! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 17:57'!
haltOnce: aString 
	"Halt unless we have already done it once."

	self deprecated: 'Use #haltOnce:. Since you end up in a debugger, aString provides little information' on: '8/29/2011' in: '1.4'.
	Halt isHaltOnceEnabled
		ifTrue: [ Halt disableHaltOnce.
				^ Halt signal: aString ]! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 17:57'!
haltOnceEnabled
	"is haltOnce enabled globally"

	self deprecated: 'Use "Halt isHaltOnceEnabled".  This method bloats Object and wrongly suggests haltOnce may be per-object' on: '8/29/2011' in: '1.4'.
	^ Halt isHaltOnceEnabled.! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 15:51'!
hasHaltCount

	self deprecated: 'Now private to Halt' on: '8/29/2011' in: '1.4'.
	^ Halt isCounting.! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 15:51'!
removeHaltCount

	self deprecated: 'Now private to Halt' on: '8/29/2011' in: '1.4'.
	^ Halt stopCounting.! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 17:55'!
setHaltCountTo: int

	self deprecated: 'Was used internally by Object>>halt:onCount: See its deprecation warning' on: '8/29/2011' in: '1.4'.! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 17:58'!
setHaltOnce
	"Turn on the halt once flag."

	self deprecated: 'Use "Halt enableHaltOnce".  This method bloats Object and wrongly suggests haltOnce may be per-object' on: '8/29/2011' in: '1.4'.
	Halt enableHaltOnce.! !

!Object methodsFor: '*deprecated14' stamp: 'SeanDeNigris 8/29/2011 17:34'!
toggleHaltOnce

	self deprecated: 'See Halt for new API' on: '8/29/2011' in: '1.4'.
	Halt isHaltOnceEnabled
		ifTrue: [Halt disableHaltOnce]
		ifFalse: [Halt enableHaltOnce]! !
LogoImageMorph initialize!
